Subject: Re: 1.3.2 bug on NT 4: localtime() & timestring() set errno on success
From: Kurt Roeckx <[email-masked]>
To: Larisa A Stephan <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Jul 2001 22:31:09 +0200

On Tue, Jul 24, 2001 at 11:41:26AM -0700, Larisa A Stephan wrote:
> I notice that localtime() and timestring() tend to set errno to 0x2 even
> though they succeed (return a non-NULL pointer).  I THINK this is a bug,
> but maybe someone can correct me.  I checked the archives and found one
> mention of this issue, but no one followed up to tell the guy he was nuts,
> so maybe it is really a bug.

They themself are no system calls, but probably do call system
calls.  Any of the system calls it might have called could have
change errno.

My guess is that it's trying to open some file, but didn't find
it.

Kurt

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/